%define upstream_name    Net-DBus-GLib
%define upstream_version 0.33.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl extension for the DBus GLib bindings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: dbus-glib-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Net::DBus)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib mainloop. To integrate with the main loop, simply
get a connection to the bus via the methods in the Net::DBus::GLib manpage
rather than the usual the Net::DBus manpage module. That's it - every other
API remains the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/^(\s+)GLib:/$1Glib:/' META.yml.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE AUTHORS CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.33.0-13.mga6
+ Revision: 1031057
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.33.0-12.mga6
+ Revision: 957781
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.33.0-11.mga6
+ Revision: 845044
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.33.0-10.mga6
+ Revision: 842335
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.33.0-9.mga5
+ Revision: 746868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.33.0-8.mga5
+ Revision: 685636
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.33.0-7.mga5
+ Revision: 632415
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.33.0-6.mga4
+ Revision: 524934
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.33.0-5.mga4
+ Revision: 431671
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.33.0-4.mga4
+ Revision: 431249
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.33.0-3.mga3
+ Revision: 370519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.33.0-2.mga3
+ Revision: 250984
- rebuild for perl 5.16

* Tue Jul 05 2011 jquelin <jquelin> 0.33.0-1.mga2
+ Revision: 118816
- update buildrequires:
- adding missing buildrequires
- imported package perl-Net-DBus-GLib


* Tue Jul 05 2011 cpan2dist 0.33.0-1mga
- initial mageia release, generated with cpan2dist
